--- a/lib/locale/fr_FR.php
+++ b/lib/locale/fr_FR.php
@@ -1,12 +1,103 @@
 <?php
+
 $LANG['about.community'] = 'Ceci est l\'Edition Communautaire de <b>Kolab Server</b>.';
 $LANG['about.kolab'] = 'Kolab';
 $LANG['about.kolabsys'] = 'Kolab Systems';
 $LANG['about.support'] = 'Un support professionnel est disponible au près de <a href="http://kolabsys.com">Kolab Systems</a>.';
 $LANG['about.technology'] = 'Technologie';
 $LANG['about.warranty'] = 'Il est livré <b>sans aucune garantie</b> et généralement exécuté sous votre responsabilité. Vous pouvez trouver de l\'aide et des informations sur <a href="http://kolab.org">le site web communautaire</a> et sur <a href="http://wiki.kolab.org">le wiki</a>.';
+
+$LANG['aci.new'] = '';
+$LANG['aci.edit'] = '';
+$LANG['aci.remove'] = 'Supprimer';
+$LANG['aci.users'] = 'Utilisateurs';
+$LANG['aci.rights'] = '';
+$LANG['aci.targets'] = '';
+$LANG['aci.aciname'] = '';
+$LANG['aci.hosts'] = 'Hôtes';
+$LANG['aci.times'] = '';
+$LANG['aci.name'] = 'Nom';
+$LANG['aci.userid'] = '';
+$LANG['aci.email'] = 'Adresse de messagerie';
+$LANG['aci.read'] = '';
+$LANG['aci.compare'] = '';
+$LANG['aci.search'] = 'Chercher';
+$LANG['aci.write'] = 'Écriture';
+$LANG['aci.selfwrite'] = '';
+$LANG['aci.delete'] = 'Supprimer';
+$LANG['aci.add'] = 'Ajouter';
+$LANG['aci.proxy'] = '';
+$LANG['aci.all'] = '';
+$LANG['aci.allow'] = '';
+$LANG['aci.deny'] = '';
+$LANG['aci.typeusers'] = 'Utilisateurs';
+$LANG['aci.typegroups'] = 'Groupes';
+$LANG['aci.typeroles'] = 'Rôles';
+$LANG['aci.typeadmins'] = 'Administrateurs';
+$LANG['aci.typespecials'] = '';
+$LANG['aci.ldap-self'] = '';
+$LANG['aci.ldap-anyone'] = '';
+$LANG['aci.ldap-all'] = '';
+$LANG['aci.ldap-parent'] = '';
+$LANG['aci.usersearch'] = '';
+$LANG['aci.usersearchresult'] = '';
+$LANG['aci.userselected'] = '';
+$LANG['aci.useradd'] = 'Ajouter';
+$LANG['aci.userremove'] = 'Supprimer';
+$LANG['aci.error.noname'] = '';
+$LANG['aci.error.exists'] = '';
+$LANG['aci.error.nousers'] = '';
+$LANG['aci.rights.target'] = '';
+$LANG['aci.rights.filter'] = 'Filtre :';
+$LANG['aci.rights.attrs'] = '';
+$LANG['aci.checkall'] = '';
+$LANG['aci.checknone'] = '';
+$LANG['aci.thisentry'] = '';
+$LANG['aci.selected'] = '';
+$LANG['aci.other'] = '';
+
+$LANG['acl.all'] = '';
+$LANG['acl.append'] = '';
+$LANG['acl.custom'] = '';
+$LANG['acl.full'] = '';
+$LANG['acl.post'] = '';
+$LANG['acl.read'] = '';
+$LANG['acl.read-only'] = '';
+$LANG['acl.read-write'] = '';
+$LANG['acl.semi-full'] = '';
+$LANG['acl.write'] = '';
+$LANG['acl.l'] = '';
+$LANG['acl.r'] = '';
+$LANG['acl.s'] = '';
+$LANG['acl.w'] = '';
+$LANG['acl.i'] = '';
+$LANG['acl.p'] = '';
+$LANG['acl.c'] = '';
+$LANG['acl.k'] = '';
+$LANG['acl.d'] = '';
+$LANG['acl.t'] = '';
+$LANG['acl.e'] = '';
+$LANG['acl.x'] = 'Supprimer le répertoire';
+$LANG['acl.a'] = '';
+$LANG['acl.n'] = '';
+$LANG['acl.identifier'] = '';
+$LANG['acl.rights'] = '';
+$LANG['acl.expire'] = '';
+$LANG['acl.user'] = '';
+$LANG['acl.anyone'] = '';
+$LANG['acl.anonymous'] = '';
+$LANG['acl.error.invaliddate'] = '';
+$LANG['acl.error.norights'] = '';
+$LANG['acl.error.subjectexists'] = '';
+$LANG['acl.error.nouser'] = '';
+
 $LANG['add'] = 'Ajouter';
+
+$LANG['api.notypeid'] = '';
+$LANG['api.invalidtypeid'] = '';
+
 $LANG['attribute.add'] = 'Ajouter un attribut';
+$LANG['attribute.default'] = 'Valeur par défaut';
 $LANG['attribute.static'] = 'Valeure statique';
 $LANG['attribute.name'] = 'Attribut';
 $LANG['attribute.optional'] = 'Optionel';
@@ -21,49 +112,78 @@
 $LANG['attribute.options'] = 'Options';
 $LANG['attribute.key.invalid'] = 'La clé contient des caractères invalides!';
 $LANG['attribute.required.error'] = 'Certains attributs obligatoires manquent dans la liste ($1)!';
+$LANG['attribute.validate'] = 'Validation';
+$LANG['attribute.validate.default'] = '';
+$LANG['attribute.validate.none'] = '';
+$LANG['attribute.validate.basic'] = 'basique';
+$LANG['attribute.validate.extended'] = '';
+
 $LANG['button.cancel'] = 'Annuler';
 $LANG['button.delete'] = 'Supprimer';
+$LANG['button.ok'] = '';
 $LANG['button.save'] = 'Enregistrer';
 $LANG['button.submit'] = 'Envoyer';
+
 $LANG['creatorsname'] = 'Créé par';
 $LANG['days'] = 'jours';
 $LANG['debug'] = 'Debug info';
 $LANG['delete'] = 'Supprimer';
 $LANG['deleting'] = 'Suppression des données...';
+
 $LANG['domain.add'] = 'Ajouter un domaine';
 $LANG['domain.add.success'] = 'Domaine créé.<br/> N\'oubliez pas d\'ajouter le nouveau domaine dans /etc/kolab/kolab.conf<br/>Voir chapitre 11 dans le Guide de l\'Administrateur.';
 $LANG['domain.associateddomain'] = 'Nom du(des) domaine(s)';
+$LANG['domain.delete.confirm'] = '';
+$LANG['domain.delete.force'] = "";
 $LANG['domain.delete.success'] = 'Domaine supprimé.';
 $LANG['domain.edit'] = 'Modifier le Domaine';
 $LANG['domain.edit.success'] = 'Domaine modifié.';
-$LANG['domain.inetdomainbasedn'] = 'Racine personnalisée (DN)';
+$LANG['domain.inetdomainbasedn'] = '';
+$LANG['domain.inetdomainstatus'] = 'Statut';
 $LANG['domain.list'] = 'Liste des Domaines';
 $LANG['domain.norecords'] = 'Pas de domaine trouvé!';
 $LANG['domain.o'] = 'Organisation';
 $LANG['domain.other'] = 'Autre';
 $LANG['domain.system'] = 'Système';
 $LANG['domain.type_id'] = 'Domaine Standard';
+
 $LANG['edit'] = 'Modifier';
 $LANG['error'] = 'Erreur';
+
+$LANG['error.401'] = '';
+$LANG['error.403'] = '';
+$LANG['error.404'] = '';
+$LANG['error.408'] = '';
+$LANG['error.450'] = '';
+$LANG['error.500'] = '';
+$LANG['error.503'] = '';
+
 $LANG['form.required.empty'] = 'Certains champs obligatoires sont vides!';
 $LANG['form.maxcount.exceeded'] = 'Le nombre maximum d\'objet est dépassé!';
+
 $LANG['group.add'] = 'Ajouter  Groupe';
 $LANG['group.add.success'] = 'Groupe créé.';
 $LANG['group.cn'] = 'Nom';
+$LANG['group.delete.confirm'] = '';
 $LANG['group.delete.success'] = 'Groupe supprimé.';
 $LANG['group.edit.success'] = 'Group modifié.';
 $LANG['group.gidnumber'] = 'Numéro de groupe principal';
+$LANG['group.kolaballowsmtprecipient'] = 'Liste d\'accès destinataire(s)';
+$LANG['group.kolaballowsmtpsender'] = 'Liste d\'accès expéditeur';
 $LANG['group.list'] = 'Liste des Groups';
 $LANG['group.mail'] = 'Adresse courriel principale';
 $LANG['group.member'] = 'Membre(s)';
 $LANG['group.memberurl'] = 'Membees URL';
 $LANG['group.norecords'] = 'Pas de groupes trouvés!';
 $LANG['group.other'] = 'Autre';
+$LANG['group.ou'] = 'Unité Organisationelle';
 $LANG['group.system'] = 'Système';
 $LANG['group.type_id'] = 'Type de groupe';
 $LANG['group.uniquemember'] = 'Membre';
+
 $LANG['info'] = 'Information';
 $LANG['internalerror'] = 'Erreur système interne!';
+
 $LANG['ldap.one'] = 'one: Toutes les entrées de niveau 1 à la base du DN';
 $LANG['ldap.sub'] = 'sub: Tous les sous-ensembles commençant à la base du DN';
 $LANG['ldap.base'] = 'base: base DN seulement';
@@ -76,7 +196,9 @@
 $LANG['ldap.filter_prefix'] = 'commence par';
 $LANG['ldap.filter_suffix'] = 'finit par';
 $LANG['ldap.filter_exact'] = 'est égal à';
+
 $LANG['list.records'] = '$1 to $2 of $3';
+
 $LANG['loading'] = 'Chargement...';
 $LANG['logout'] = 'Déconnexion';
 $LANG['login.username'] = 'Nom d\'Utilisateur:';
@@ -85,42 +207,72 @@
 $LANG['login.login'] = 'Se connecter';
 $LANG['loginerror'] = 'Nom d\'utilisateur ou mot de passe incorrect!';
 $LANG['MB'] = 'MB';
+
 $LANG['menu.about'] = 'A propos';
 $LANG['menu.domains'] = 'Domaines';
 $LANG['menu.groups'] = 'Groupes';
+$LANG['menu.ous'] = '';
 $LANG['menu.resources'] = 'Ressources';
 $LANG['menu.roles'] = 'Rôles';
 $LANG['menu.settings'] = 'Paramètres';
+$LANG['menu.sharedfolders'] = '';
 $LANG['menu.users'] = 'Utilisateurs';
+
 $LANG['modifiersname'] = 'Modifié par';
 $LANG['password.generate'] = 'Generer un mot de passe';
 $LANG['reqtime'] = 'Délais: $1 sec.';
+
+$LANG['ou.aci'] = '';
+$LANG['ou.add'] = '';
+$LANG['ou.add.success'] = '';
+$LANG['ou.ou'] = '';
+$LANG['ou.delete.confirm'] = '';
+$LANG['ou.delete.success'] = '';
+$LANG['ou.description'] = '';
+$LANG['ou.edit.success'] = '';
+$LANG['ou.list'] = '';
+$LANG['ou.norecords'] = '';
+$LANG['ou.system'] = 'Détails';
+$LANG['ou.type_id'] = '';
+$LANG['ou.base_dn'] = '';
+
+$LANG['resource.acl'] = '';
 $LANG['resource.add'] = 'Ajouter une Ressource';
 $LANG['resource.add.success'] = 'Ressource crée.';
 $LANG['resource.cn'] = 'Nom';
 $LANG['resource.delete'] = 'Supprimer une Ressource';
+$LANG['resource.delete.confirm'] = '';
 $LANG['resource.delete.success'] = 'Ressource supprimée.';
 $LANG['resource.edit'] = 'Modifier une Ressource';
 $LANG['resource.edit.success'] = 'Ressource modifiée.';
 $LANG['resource.kolabtargetfolder'] = 'Dossier cible';
+$LANG['resource.kolabinvitationpolicy'] = 'Politique d\'invitation';
 $LANG['resource.list'] = 'Liste des Ressources';
 $LANG['resource.mail'] = 'Courriel ';
 $LANG['resource.member'] = 'Ensemble des Membres';
 $LANG['resource.norecords'] = 'Pas de Ressource trouvée!';
 $LANG['resource.other'] = 'Autre';
+$LANG['resource.ou'] = 'Unité Organisationelle';
 $LANG['resource.system'] = 'Système';
 $LANG['resource.type_id'] = 'Type de Ressource';
 $LANG['resource.uniquemember'] = 'Membre';
+$LANG['resource.description'] = 'Description';
+$LANG['resource.owner'] = '';
+
 $LANG['role.add'] = 'Ajouter un Rôle';
 $LANG['role.add.success'] = 'Rôle créé.';
 $LANG['role.cn'] = 'Nom du rôle';
+$LANG['role.delete.confirm'] = '';
 $LANG['role.delete.success'] = 'Rôle supprimé.';
 $LANG['role.description'] = 'Description du Rôle';
+$LANG['role.edit.success'] = '';
 $LANG['role.list'] = 'Liste des Rôles';
 $LANG['role.norecords'] = 'Pas de Rôle trouvé!';
 $LANG['role.system'] = 'Détails';
 $LANG['role.type_id'] = 'Type de Rôle';
+
 $LANG['saving'] = 'Enregistrer...';
+
 $LANG['search'] = 'Chercher';
 $LANG['search.reset'] = 'Réinitialiser';
 $LANG['search.criteria'] = 'Critères de recherche';
@@ -136,8 +288,31 @@
 $LANG['search.uid'] = 'UID';
 $LANG['search.loading'] = 'Cherche...';
 $LANG['search.acchars'] = 'Au moins $min charactères nécessaires pour l\'autocomplétion';
+
 $LANG['servererror'] = 'Erreur du Serveur!';
+
 $LANG['session.expired'] = 'Votre session a expiré. Reconnecter vous, svp.';
+
+$LANG['sharedfolder.acl'] = '';
+$LANG['sharedfolder.add'] = 'Ajouter un dossier partagé';
+$LANG['sharedfolder.add.success'] = '';
+$LANG['sharedfolder.alias'] = 'Courriel(s) secondaire(s)';
+$LANG['sharedfolder.cn'] = 'Nom du dossier';
+$LANG['sharedfolder.delete.confirm'] = '';
+$LANG['sharedfolder.delete.success'] = '';
+$LANG['sharedfolder.edit'] = '';
+$LANG['sharedfolder.edit.success'] = '';
+$LANG['sharedfolder.kolaballowsmtprecipient'] = 'Liste d\'accès destinataire(s)';
+$LANG['sharedfolder.kolaballowsmtpsender'] = 'Liste d\'accès expéditeur';
+$LANG['sharedfolder.kolabdelegate'] = '';
+$LANG['sharedfolder.kolabtargetfolder'] = '';
+$LANG['sharedfolder.list'] = '';
+$LANG['sharedfolder.norecords'] = '';
+$LANG['sharedfolder.mail'] = 'Adresse mail';
+$LANG['sharedfolder.other'] = 'Autre';
+$LANG['sharedfolder.system'] = 'Système';
+$LANG['sharedfolder.type_id'] = '';
+
 $LANG['signup.headline'] = 'Connectez vous pour un Kolab hébergé';
 $LANG['signup.intro1'] = 'Avoir un compte sur un serveur Kolab, c\'est bien plus qu\'avoir une simple messagerie. Kolab vous fourni également toutes les fonctionnalités d\'n logiciel collaboratif incluant la synchronisation des annuaires partagés, agendas, tâches, journaux et bien plus.';
 $LANG['signup.intro2'] = 'Vous pouvez vous enregistrer ici pour vous créer un compte.';
@@ -153,10 +328,12 @@
 $LANG['signup.wronguid'] = 'Nom d\'utilisateur invalide!';
 $LANG['signup.wrongmailalternateaddress'] = 'Merci de fournir une adresse valide!';
 $LANG['signup.footer'] = 'Ce service vous est offer par <a href="http://kolabsys.com">Kolab Systems</a>.';
+
 $LANG['type.add'] = 'Ajouter un type d\'objet';
 $LANG['type.add.success'] = 'Type d\'objet ajouté.';
 $LANG['type.attributes'] = 'Attributs';
 $LANG['type.description'] = 'Description';
+$LANG['type.delete.confirm'] = '';
 $LANG['type.delete.success'] = 'Type d\'objet supprimé.';
 $LANG['type.domain'] = 'Domaine';
 $LANG['type.edit.success'] = 'Type d\'object modifié.';
@@ -167,11 +344,14 @@
 $LANG['type.norecords'] = 'Pas de type d\'objet trouvé!';
 $LANG['type.objectclass'] = 'Classe d\'Object';
 $LANG['type.object_type'] = 'Type d\'Object ';
+$LANG['type.ou'] = 'Unité Organisationelle';
 $LANG['type.properties'] = 'Propriétés';
 $LANG['type.resource'] = 'Ressource';
 $LANG['type.role'] = 'Rôle';
+$LANG['type.sharedfolder'] = 'Dossier partagé';
 $LANG['type.used_for'] = 'Hébergé';
 $LANG['type.user'] = 'Utilisateur';
+
 $LANG['user.add'] = 'Ajouter un utilisateur';
 $LANG['user.add.success'] = 'Utilisateur créé.';
 $LANG['user.alias'] = 'Courriel(s) secondaire(s)';
@@ -202,6 +382,7 @@
 $LANG['user.contact_info'] = 'Information du Contact';
 $LANG['user.country'] = 'Pays';
 $LANG['user.country.desc'] = '2 lettres selon la norme ISO 3166-1';
+$LANG['user.delete.confirm'] = '';
 $LANG['user.delete.success'] = 'Utilisateur supprimé.';
 $LANG['user.displayname'] = 'Nom affiché';
 $LANG['user.edit.success'] = 'Utilisateur modifié.';
@@ -257,5 +438,7 @@
 $LANG['user.userpassword'] = 'Mot de passe';
 $LANG['user.userpassword2'] = 'Confirmer le mot de passe';
 $LANG['user.uidnumber'] = 'Numéro d\'utilisateur (ID)';
+
 $LANG['welcome'] = 'Bienvenu sur le serveur d\'administration du serveur Kolab';
+
 $LANG['yes'] = 'yes';
--- /dev/null
+++ b/lib/locale/he.php
@@ -0,0 +1,444 @@
+<?php
+
+$LANG['about.community'] = '';
+$LANG['about.kolab'] = '';
+$LANG['about.kolabsys'] = '';
+$LANG['about.support'] = '';
+$LANG['about.technology'] = '';
+$LANG['about.warranty'] = '';
+
+$LANG['aci.new'] = '';
+$LANG['aci.edit'] = '';
+$LANG['aci.remove'] = '';
+$LANG['aci.users'] = '';
+$LANG['aci.rights'] = '';
+$LANG['aci.targets'] = '';
+$LANG['aci.aciname'] = '';
+$LANG['aci.hosts'] = '';
+$LANG['aci.times'] = '';
+$LANG['aci.name'] = '';
+$LANG['aci.userid'] = '';
+$LANG['aci.email'] = '';
+$LANG['aci.read'] = '';
+$LANG['aci.compare'] = '';
+$LANG['aci.search'] = '';
+$LANG['aci.write'] = '';
+$LANG['aci.selfwrite'] = '';
+$LANG['aci.delete'] = '';
+$LANG['aci.add'] = '';
+$LANG['aci.proxy'] = '';
+$LANG['aci.all'] = '';
+$LANG['aci.allow'] = '';
+$LANG['aci.deny'] = '';
+$LANG['aci.typeusers'] = '';
+$LANG['aci.typegroups'] = '';
+$LANG['aci.typeroles'] = '';
+$LANG['aci.typeadmins'] = '';
+$LANG['aci.typespecials'] = '';
+$LANG['aci.ldap-self'] = '';
+$LANG['aci.ldap-anyone'] = '';
+$LANG['aci.ldap-all'] = '';
+$LANG['aci.ldap-parent'] = '';
+$LANG['aci.usersearch'] = '';
+$LANG['aci.usersearchresult'] = '';
+$LANG['aci.userselected'] = '';
+$LANG['aci.useradd'] = '';
+$LANG['aci.userremove'] = '';
+$LANG['aci.error.noname'] = '';
+$LANG['aci.error.exists'] = '';
+$LANG['aci.error.nousers'] = '';
+$LANG['aci.rights.target'] = '';
+$LANG['aci.rights.filter'] = '';
+$LANG['aci.rights.attrs'] = '';
+$LANG['aci.checkall'] = '';
+$LANG['aci.checknone'] = '';
+$LANG['aci.thisentry'] = '';
+$LANG['aci.selected'] = '';
+$LANG['aci.other'] = '';
+
+$LANG['acl.all'] = '';
+$LANG['acl.append'] = '';
+$LANG['acl.custom'] = '';
+$LANG['acl.full'] = '';
+$LANG['acl.post'] = '';
+$LANG['acl.read'] = '';
+$LANG['acl.read-only'] = '';
+$LANG['acl.read-write'] = '';
+$LANG['acl.semi-full'] = '';
+$LANG['acl.write'] = '';
+$LANG['acl.l'] = '';
+$LANG['acl.r'] = '';
+$LANG['acl.s'] = '';
+$LANG['acl.w'] = '';
+$LANG['acl.i'] = '';
+$LANG['acl.p'] = '';
+$LANG['acl.c'] = '';
+$LANG['acl.k'] = '';
+$LANG['acl.d'] = '';
+$LANG['acl.t'] = '';
+$LANG['acl.e'] = '';
+$LANG['acl.x'] = '';
+$LANG['acl.a'] = '';
+$LANG['acl.n'] = '';
+$LANG['acl.identifier'] = '';
+$LANG['acl.rights'] = '';
+$LANG['acl.expire'] = '';
+$LANG['acl.user'] = '';
+$LANG['acl.anyone'] = '';
+$LANG['acl.anonymous'] = '';
+$LANG['acl.error.invaliddate'] = '';
+$LANG['acl.error.norights'] = '';
+$LANG['acl.error.subjectexists'] = '';
+$LANG['acl.error.nouser'] = '';
+
+$LANG['add'] = '';
+
+$LANG['api.notypeid'] = '';
+$LANG['api.invalidtypeid'] = '';
+
+$LANG['attribute.add'] = '';
+$LANG['attribute.default'] = '';
+$LANG['attribute.static'] = '';
+$LANG['attribute.name'] = '';
+$LANG['attribute.optional'] = '';
+$LANG['attribute.maxcount'] = '';
+$LANG['attribute.readonly'] = '';
+$LANG['attribute.type'] = '';
+$LANG['attribute.value'] = '';
+$LANG['attribute.value.auto'] = '';
+$LANG['attribute.value.auto-readonly'] = '';
+$LANG['attribute.value.normal'] = '';
+$LANG['attribute.value.static'] = '';
+$LANG['attribute.options'] = '';
+$LANG['attribute.key.invalid'] = '';
+$LANG['attribute.required.error'] = '';
+$LANG['attribute.validate'] = '';
+$LANG['attribute.validate.default'] = '';
+$LANG['attribute.validate.none'] = '';
+$LANG['attribute.validate.basic'] = '';
+$LANG['attribute.validate.extended'] = '';
+
+$LANG['button.cancel'] = '';
+$LANG['button.delete'] = '';
+$LANG['button.ok'] = '';
+$LANG['button.save'] = '';
+$LANG['button.submit'] = '';
+
+$LANG['creatorsname'] = '';
+$LANG['days'] = '';
+$LANG['debug'] = '';
+$LANG['delete'] = '';
+$LANG['deleting'] = '';
+
+$LANG['domain.add'] = '';
+$LANG['domain.add.success'] = '';
+$LANG['domain.associateddomain'] = '';
+$LANG['domain.delete.confirm'] = '';
+$LANG['domain.delete.force'] = "";
+$LANG['domain.delete.success'] = '';
+$LANG['domain.edit'] = '';
+$LANG['domain.edit.success'] = '';
+$LANG['domain.inetdomainbasedn'] = '';
+$LANG['domain.inetdomainstatus'] = '';
+$LANG['domain.list'] = '';
+$LANG['domain.norecords'] = '';
+$LANG['domain.o'] = '';
+$LANG['domain.other'] = '';
+$LANG['domain.system'] = '';
+$LANG['domain.type_id'] = '';
+
+$LANG['edit'] = '';
+$LANG['error'] = '';
+
+$LANG['error.401'] = '';
+$LANG['error.403'] = '';
+$LANG['error.404'] = '';
+$LANG['error.408'] = '';
+$LANG['error.450'] = '';
+$LANG['error.500'] = '';
+$LANG['error.503'] = '';
+
+$LANG['form.required.empty'] = '';
+$LANG['form.maxcount.exceeded'] = '';
+
+$LANG['group.add'] = '';
+$LANG['group.add.success'] = '';
+$LANG['group.cn'] = '';
+$LANG['group.delete.confirm'] = '';
+$LANG['group.delete.success'] = '';
+$LANG['group.edit.success'] = '';
+$LANG['group.gidnumber'] = '';
+$LANG['group.kolaballowsmtprecipient'] = '';
+$LANG['group.kolaballowsmtpsender'] = '';
+$LANG['group.list'] = '';
+$LANG['group.mail'] = '';
+$LANG['group.member'] = '';
+$LANG['group.memberurl'] = '';
+$LANG['group.norecords'] = '';
+$LANG['group.other'] = '';
+$LANG['group.ou'] = '';
+$LANG['group.system'] = '';
+$LANG['group.type_id'] = '';
+$LANG['group.uniquemember'] = '';
+
+$LANG['info'] = '';
+$LANG['internalerror'] = '';
+
+$LANG['ldap.one'] = '';
+$LANG['ldap.sub'] = '';
+$LANG['ldap.base'] = '';
+$LANG['ldap.basedn'] = '';
+$LANG['ldap.host'] = '';
+$LANG['ldap.conditions'] = '';
+$LANG['ldap.scope'] = '';
+$LANG['ldap.filter_any'] = '';
+$LANG['ldap.filter_both'] = '';
+$LANG['ldap.filter_prefix'] = '';
+$LANG['ldap.filter_suffix'] = '';
+$LANG['ldap.filter_exact'] = '';
+
+$LANG['list.records'] = '';
+
+$LANG['loading'] = '';
+$LANG['logout'] = '';
+$LANG['login.username'] = '';
+$LANG['login.password'] = '';
+$LANG['login.domain'] = '';
+$LANG['login.login'] = '';
+$LANG['loginerror'] = '';
+$LANG['MB'] = '';
+
+$LANG['menu.about'] = '';
+$LANG['menu.domains'] = '';
+$LANG['menu.groups'] = '';
+$LANG['menu.ous'] = '';
+$LANG['menu.resources'] = '';
+$LANG['menu.roles'] = '';
+$LANG['menu.settings'] = '';
+$LANG['menu.sharedfolders'] = '';
+$LANG['menu.users'] = '';
+
+$LANG['modifiersname'] = '';
+$LANG['password.generate'] = '';
+$LANG['reqtime'] = '';
+
+$LANG['ou.aci'] = '';
+$LANG['ou.add'] = '';
+$LANG['ou.add.success'] = '';
+$LANG['ou.ou'] = '';
+$LANG['ou.delete.confirm'] = '';
+$LANG['ou.delete.success'] = '';
+$LANG['ou.description'] = '';
+$LANG['ou.edit.success'] = '';
+$LANG['ou.list'] = '';
+$LANG['ou.norecords'] = '';
+$LANG['ou.system'] = '';
+$LANG['ou.type_id'] = '';
+$LANG['ou.base_dn'] = '';
+
+$LANG['resource.acl'] = '';
+$LANG['resource.add'] = '';
+$LANG['resource.add.success'] = '';
+$LANG['resource.cn'] = '';
+$LANG['resource.delete'] = '';
+$LANG['resource.delete.confirm'] = '';
+$LANG['resource.delete.success'] = '';
+$LANG['resource.edit'] = '';
+$LANG['resource.edit.success'] = '';
+$LANG['resource.kolabtargetfolder'] = '';
+$LANG['resource.kolabinvitationpolicy'] = '';
+$LANG['resource.list'] = '';
+$LANG['resource.mail'] = '';
+$LANG['resource.member'] = '';
+$LANG['resource.norecords'] = '';
+$LANG['resource.other'] = '';
+$LANG['resource.ou'] = '';
+$LANG['resource.system'] = '';
+$LANG['resource.type_id'] = '';
+$LANG['resource.uniquemember'] = '';
+$LANG['resource.description'] = '';
+$LANG['resource.owner'] = '';
+
+$LANG['role.add'] = '';
+$LANG['role.add.success'] = '';
+$LANG['role.cn'] = '';
+$LANG['role.delete.confirm'] = '';
+$LANG['role.delete.success'] = '';
+$LANG['role.description'] = '';
+$LANG['role.edit.success'] = '';
+$LANG['role.list'] = '';
+$LANG['role.norecords'] = '';
+$LANG['role.system'] = '';
+$LANG['role.type_id'] = '';
+
+$LANG['saving'] = '';
+
+$LANG['search'] = '';
+$LANG['search.reset'] = '';
+$LANG['search.criteria'] = '';
+$LANG['search.field'] = '';
+$LANG['search.method'] = '';
+$LANG['search.contains'] = '';
+$LANG['search.is'] = '';
+$LANG['search.key'] = '';
+$LANG['search.prefix'] = '';
+$LANG['search.name'] = '';
+$LANG['search.email'] = '';
+$LANG['search.description'] = '';
+$LANG['search.uid'] = '';
+$LANG['search.loading'] = '';
+$LANG['search.acchars'] = '';
+
+$LANG['servererror'] = '';
+
+$LANG['session.expired'] = '';
+
+$LANG['sharedfolder.acl'] = '';
+$LANG['sharedfolder.add'] = '';
+$LANG['sharedfolder.add.success'] = '';
+$LANG['sharedfolder.alias'] = '';
+$LANG['sharedfolder.cn'] = '';
+$LANG['sharedfolder.delete.confirm'] = '';
+$LANG['sharedfolder.delete.success'] = '';
+$LANG['sharedfolder.edit'] = '';
+$LANG['sharedfolder.edit.success'] = '';
+$LANG['sharedfolder.kolaballowsmtprecipient'] = '';
+$LANG['sharedfolder.kolaballowsmtpsender'] = '';
+$LANG['sharedfolder.kolabdelegate'] = '';
+$LANG['sharedfolder.kolabtargetfolder'] = '';
+$LANG['sharedfolder.list'] = '';
+$LANG['sharedfolder.norecords'] = '';
+$LANG['sharedfolder.mail'] = '';
+$LANG['sharedfolder.other'] = '';
+$LANG['sharedfolder.system'] = '';
+$LANG['sharedfolder.type_id'] = '';
+
+$LANG['signup.headline'] = '';
+$LANG['signup.intro1'] = '';
+$LANG['signup.intro2'] = '';
+$LANG['signup.formtitle'] = '';
+$LANG['signup.username'] = '';
+$LANG['signup.domain'] = '';
+$LANG['signup.mailalternateaddress'] = '';
+$LANG['signup.futuremail'] = '';
+$LANG['signup.company'] = '';
+$LANG['signup.captcha'] = '';
+$LANG['signup.userexists'] = '';
+$LANG['signup.usercreated'] = '';
+$LANG['signup.wronguid'] = '';
+$LANG['signup.wrongmailalternateaddress'] = '';
+$LANG['signup.footer'] = '';
+
+$LANG['type.add'] = '';
+$LANG['type.add.success'] = '';
+$LANG['type.attributes'] = '';
+$LANG['type.description'] = '';
+$LANG['type.delete.confirm'] = '';
+$LANG['type.delete.success'] = '';
+$LANG['type.domain'] = '';
+$LANG['type.edit.success'] = '';
+$LANG['type.group'] = '';
+$LANG['type.list'] = '';
+$LANG['type.key'] = '';
+$LANG['type.name'] = '';
+$LANG['type.norecords'] = '';
+$LANG['type.objectclass'] = '';
+$LANG['type.object_type'] = '';
+$LANG['type.ou'] = '';
+$LANG['type.properties'] = '';
+$LANG['type.resource'] = '';
+$LANG['type.role'] = '';
+$LANG['type.sharedfolder'] = '';
+$LANG['type.used_for'] = '';
+$LANG['type.user'] = '';
+
+$LANG['user.add'] = '';
+$LANG['user.add.success'] = '';
+$LANG['user.alias'] = '';
+$LANG['user.astaccountallowedcodec'] = '';
+$LANG['user.astaccountcallerid'] = '';
+$LANG['user.astaccountcontext'] = '';
+$LANG['user.astaccountdefaultuser'] = '';
+$LANG['user.astaccountdeny'] = '';
+$LANG['user.astaccounthost'] = '';
+$LANG['user.astaccountmailbox'] = '';
+$LANG['user.astaccountnat'] = '';
+$LANG['user.astaccountname'] = '';
+$LANG['user.astaccountqualify'] = '';
+$LANG['user.astaccountrealmedpassword'] = '';
+$LANG['user.astaccountregistrationexten'] = '';
+$LANG['user.astaccountregistrationcontext'] = '';
+$LANG['user.astaccountsecret'] = '';
+$LANG['user.astaccounttype'] = '';
+$LANG['user.astcontext'] = '';
+$LANG['user.asterisk'] = '';
+$LANG['user.astextension'] = '';
+$LANG['user.astvoicemailpassword'] = '';
+$LANG['user.c'] = '';
+$LANG['user.city'] = '';
+$LANG['user.cn'] = '';
+$LANG['user.config'] = '';
+$LANG['user.contact'] = '';
+$LANG['user.contact_info'] = '';
+$LANG['user.country'] = '';
+$LANG['user.country.desc'] = '';
+$LANG['user.delete.confirm'] = '';
+$LANG['user.delete.success'] = '';
+$LANG['user.displayname'] = '';
+$LANG['user.edit.success'] = '';
+$LANG['user.fax'] = '';
+$LANG['user.fbinterval'] = '';
+$LANG['user.fbinterval.desc'] = '';
+$LANG['user.gidnumber'] = '';
+$LANG['user.givenname'] = '';
+$LANG['user.homedirectory'] = '';
+$LANG['user.homephone'] = '';
+$LANG['user.initials'] = '';
+$LANG['user.invitation-policy'] = '';
+$LANG['user.kolaballowsmtprecipient'] = '';
+$LANG['user.kolaballowsmtpsender'] = '';
+$LANG['user.kolabdelegate'] = '';
+$LANG['user.kolabhomeserver'] = '';
+$LANG['user.kolabinvitationpolicy'] = '';
+$LANG['user.l'] = '';
+$LANG['user.list'] = '';
+$LANG['user.loginshell'] = '';
+$LANG['user.mail'] = '';
+$LANG['user.mailalternateaddress'] = '';
+$LANG['user.mailforwardingaddress'] = '';
+$LANG['user.mailhost'] = '';
+$LANG['user.mailquota'] = '';
+$LANG['user.mailquota.desc'] = '';
+$LANG['user.mobile'] = '';
+$LANG['user.name'] = '';
+$LANG['user.norecords'] = '';
+$LANG['user.nsrole'] = '';
+$LANG['user.nsroledn'] = '';
+$LANG['user.other'] = '';
+$LANG['user.o'] = '';
+$LANG['user.org'] = '';
+$LANG['user.orgunit'] = '';
+$LANG['user.ou'] = '';
+$LANG['user.pager'] = '';
+$LANG['user.password.mismatch'] = '';
+$LANG['user.personal'] = '';
+$LANG['user.phone'] = '';
+$LANG['user.postalcode'] = '';
+$LANG['user.postbox'] = '';
+$LANG['user.postcode'] = '';
+$LANG['user.preferredlanguage'] = '';
+$LANG['user.room'] = '';
+$LANG['user.sn'] = '';
+$LANG['user.street'] = '';
+$LANG['user.system'] = '';
+$LANG['user.telephonenumber'] = '';
+$LANG['user.title'] = '';
+$LANG['user.type_id'] = '';
+$LANG['user.uid'] = '';
+$LANG['user.userpassword'] = '';
+$LANG['user.userpassword2'] = '';
+$LANG['user.uidnumber'] = '';
+
+$LANG['welcome'] = '';
+
+$LANG['yes'] = '';
